/* ===== RESET & BASE STYLES ===== */
/* Supprime les marges/paddings par défaut et normalise les styles */
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html {
	scroll-behavior: smooth;
	font-size: 1.1vw;

	@media (max-width: 768px) {
		font-size: 16px;
	}

	@media (min-width: 1600px) {
		font-size: 16px;
	}
}

body {
	font-family: 'Lexend', Tahoma, Geneva, Verdana, sans-serif;
	line-height: 1.6;
	color: #333;
	background-color: #f7f7f7;
	overflow-x: hidden;
}

header {
	position: fixed;
	z-index: 100;
	width: 100%;
	max-width: 1920px;
	padding: 1rem 2rem ;

	.logo-gaab {
		width: 8rem;
		
		#logo-gaab__agency, #logo-gaab__ab {
			fill: #ffda00;
		}
	}
}

#core {
	min-height: 100vh;
}

#core-modale {
	width: 76%;
	max-width: 74rem;
	background: white;
	box-shadow: 0 4px 14px rgba(0, 0, 0, .1);
	padding: 4.5rem;
	border-radius: 2rem;
	margin: -23rem auto 0;
	display: block;
	position: relative;
	z-index: 10;
	overflow: hidden;
	@media (max-width: 768px) {
		margin: 0 auto;
		padding: 48px 20px;
		width: calc(100% - 40px);
	}
	
	&:before {
		content: "";
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 10px;
		background: #ffda00;
	}
}

#core-video {
	position: relative;
	width: 100%;
	overflow: hidden;
	
	iframe {
		width: 100%;
		aspect-ratio: 16/9;

		@media (max-width: 768px) {
			margin: 6rem 0 2rem;
}
	}
}

#core-title {
	font-size: 3.5rem;
	text-transform: uppercase;
	line-height: 100%;
	margin-bottom: 48px;

	@media (max-width: 768px) {
		font-size: 2rem;
	}
}

#core-content {
	font-weight: 400;
	
	a {
		color: black;
	}
}

footer {
	display: block;
	margin-top: 10rem;
	background: black;
	padding: 12px;
}

#footer-content {
	width: 76%;
	max-width: 74rem;
	color: white;
	margin: 0 auto;

	@media (max-width: 768px) {
		width: calc(100% - 40px);
	}
}